Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Typedefs | Functions
many2.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Macros
#define | NARGS 7

## Typedefs
typedef unsigned char | u8

## Functions
uint8_t | foo (uint8_t a, uint8_t b, uint8_t c, uint8_t d, uint8_t e, uint8_t f, uint8_t g)
uint8_t ABI_ATTR | bar (uint8_t a, uint8_t b, uint8_t c, uint8_t d, uint8_t e, uint8_t f, uint8_t g)
int | main (void)

## Macro Definition Documentation

## ◆ NARGS

#define NARGS 7

Definition at line 11 of file many2.c.

## Typedef Documentation

## ◆ u8

typedef unsigned char u8

Definition at line 13 of file many2.c.

## Function Documentation

## ◆ bar()

uint8_t ABI_ATTR bar | ( | uint8_t | a,
|  | uint8_t | b,
|  | uint8_t | c,
|  | uint8_t | d,
|  | uint8_t | e,
|  | uint8_t | f,
|  | uint8_t | g
| ) |  |

Definition at line 26 of file many2.c.

References f, and foo().

## ◆ foo()

uint8_t foo | ( | uint8_t | a,
|  | uint8_t | b,
|  | uint8_t | c,
|  | uint8_t | d,
|  | uint8_t | e,
|  | uint8_t | f,
|  | uint8_t | g
| ) |  |

Definition at line 19 of file many2.c.

References f.

Referenced by bar().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 33 of file many2.c.

References i, and NARGS.